#ifndef INPUTTYPE_H
#define INPUTTYPE_H

#include <SFML/System/Clock.hpp>

using microsec = sf::Int64;

class InputType
{
public:
    explicit InputType(const microsec& timestamp);
    virtual ~InputType() = 0;

    const microsec& timestamp() const;

private:
    microsec _timestamp;
};

#endif // INPUTTYPE_H
