#pragma once

#include "classicactions.h"
#include "spritecontainer.h"
#include "classicspritefactory.h"

class ClassicSprite;
class ClassicNote;

class ClassicGraphicsManager
{
public:
    explicit ClassicGraphicsManager();

    void initSprite(ClassicNote* note);
    void resetSprite(ClassicNote* note);

private:
    SpriteContainer<Action, ClassicSpriteFactory, ClassicSprite> _sprite_container;
};
